import React, { PropTypes } from 'react';

export default (Component) => {

    return React.createClass({

        propTypes: {
            type: PropTypes.oneOf([
                'gray', 'default',
                'teal', 'primary'
            ])
        },

        getDefaultProps() {
            return {
                type: 'default'
            };
        },

        render() {
            return (
                <Component { ...this.props }
                    type={ this.props.type } />
            );
        }

    });

};
